# IWithdrawRequestNft

[Git Source](https://github.com/Ion-Protocol/nucleus-boring-vault/blob/cc0b494b83e17b9b169a73b96050d2810b690477/src/interfaces/IStaking.sol)

## Functions

### claimWithdraw

```solidity
function claimWithdraw(uint256 tokenId) external;
```

### getRequest

```solidity
function getRequest(uint256 requestId) external view returns (WithdrawRequest memory);
```

### finalizeRequests

```solidity
function finalizeRequests(uint256 requestId) external;
```

### owner

```solidity
function owner() external view returns (address);
```

### updateAdmin

```solidity
function updateAdmin(address admin, bool isAdmin) external;
```

## Structs

### WithdrawRequest

```solidity
struct WithdrawRequest {
    uint96 amountOfEEth;
    uint96 shareOfEEth;
    bool isValid;
    uint32 feeGwei;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nucleusearn.io/nucleus-architecture/smart-contracts/contracts/interfaces/istaking/iwithdrawrequestnft.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
